## org.jfree.report.modules.gui.swing.html
Class HtmlZipExportDialog

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          org.jfree.report.modules.gui.swing.common.AbstractExportDialog
                              org.jfree.report.modules.gui.swing.html.HtmlZipExportDialog

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants, ExportDialog

    public class HtmlZipExportDialog

extends AbstractExportDialog

A dialog that is used to perform the printing of a report into an HTML file.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Nested classes/interfaces inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog, java.awt.Dialog.ModalExclusionType, java.awt.Dialog.ModalityType`

Nested classes/interfaces inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Dialog
`DEFAULT_MODALITY_TYPE`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`HtmlZipExportDialog()` Creates a non-modal dialog without a title and without a specified `Frame` owner.
`HtmlZipExportDialog(java.awt.Dialog owner)` Creates a non-modal dialog without a title with the specified `Dialog` as its owner.
`HtmlZipExportDialog(java.awt.Frame owner)` Creates a non-modal dialog without a title with the specified `Frame` as its owner.

Method Summary
`void` `clear()`
`protected java.lang.String` `getConfigurationPrefix()`
`protected java.lang.String` `getConfigurationSuffix()`
`java.lang.String` `getExportMethod()`
`java.lang.String` `getFilename()`
`protected java.lang.String` `getResourceBaseName()`
`JStatusBar` `getStatusBar()`
`protected org.pentaho.reporting.libraries.base.config.Configuration` `grabDialogContents(boolean full)` Returns a new (and not connected to the default config from the job) configuration containing all properties from the dialog.
`protected void` `initializeFromJob(ReportJob job, GuiContext guiContext)`
`protected boolean` `performConfirm()`
`protected void` `performSelectFile()` Selects a file to use as target for the report processing.
`protected boolean` `performValidate()`
`protected void` `setDialogContents(org.pentaho.reporting.libraries.base.config.Configuration properties)`
`void` `setExportMethod(java.lang.String method)`
`void` `setFilename(java.lang.String filename)`

Methods inherited from class org.jfree.report.modules.gui.swing.common.AbstractExportDialog
`getCancelAction, getConfirmAction, getFormValidator, getGuiContext, getReportJob, getResources, isConfirmed, isFullInputStorageEnabled, isInputStorageEnabled, performQueryForExport, resolvePath, setCancelAction, setConfirmAction, setConfirmed`

Methods inherited from class javax.swing.JDialog

`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

Methods inherited from class java.awt.Dialog
`addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setModalityType, setResizable, setTitle, setUndecorated, setVisible, show, toBack`

Methods inherited from class java.awt.Window

`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOwnedWindows, getOwner, getOwnerlessWindows, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, toFront`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, setBackground, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HtmlZipExportDialog

    public HtmlZipExportDialog()

  Creates a non-modal dialog without a title and without a specified `Frame` owner. A shared, hidden frame will be set as the owner of the dialog.

### HtmlZipExportDialog

    public HtmlZipExportDialog(java.awt.Frame owner)

  Creates a non-modal dialog without a title with the specified `Frame` as its owner. If `owner` is `null`, a shared, hidden frame will be set as the owner of the dialog.

  Parameters:
    `owner` - the `Frame` from which the dialog is displayed

### HtmlZipExportDialog

    public HtmlZipExportDialog(java.awt.Dialog owner)

  Creates a non-modal dialog without a title with the specified `Dialog` as its owner.

  Parameters:
    `owner` - the non-null `Dialog` from which the dialog is displayed

Method Detail

### getFilename

    public java.lang.String getFilename()

### setFilename

    public void setFilename(java.lang.String filename)

### getStatusBar

    public JStatusBar getStatusBar()

  Specified by:
    `getStatusBar` in class `AbstractExportDialog`

### performValidate

    protected boolean performValidate()

  Specified by:
    `performValidate` in class `AbstractExportDialog`

### performConfirm

    protected boolean performConfirm()

  Overrides:
    `performConfirm` in class `AbstractExportDialog`

### initializeFromJob

    protected void initializeFromJob(ReportJob job,
                                     GuiContext guiContext)

  Specified by:
    `initializeFromJob` in class `AbstractExportDialog`

### getConfigurationPrefix

    protected java.lang.String getConfigurationPrefix()

  Specified by:
    `getConfigurationPrefix` in class `AbstractExportDialog`

### grabDialogContents

    protected org.pentaho.reporting.libraries.base.config.Configuration grabDialogContents(boolean full)

  Description copied from class: `AbstractExportDialog`
  Returns a new (and not connected to the default config from the job) configuration containing all properties from the dialog.

  Specified by:
    `grabDialogContents` in class `AbstractExportDialog`
  Returns:

### setDialogContents

    protected void setDialogContents(org.pentaho.reporting.libraries.base.config.Configuration properties)

  Specified by:
    `setDialogContents` in class `AbstractExportDialog`

### getConfigurationSuffix

    protected java.lang.String getConfigurationSuffix()

  Specified by:
    `getConfigurationSuffix` in class `AbstractExportDialog`

### getExportMethod

    public java.lang.String getExportMethod()

### setExportMethod

    public void setExportMethod(java.lang.String method)

### clear

    public void clear()

  Specified by:
    `clear` in class `AbstractExportDialog`

### getResourceBaseName

    protected java.lang.String getResourceBaseName()

  Specified by:
    `getResourceBaseName` in class `AbstractExportDialog`

### performSelectFile

    protected void performSelectFile()

  Selects a file to use as target for the report processing.